OpenMesh::Subdivider::Uniform::CompositeTraits::FaceT< Base, Refs > Struct Template Reference
Inheritance diagram for OpenMesh::Subdivider::Uniform::CompositeTraits::FaceT< Base, Refs >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Uniform::CompositeTraits::FaceT< Base, Refs >:
[legend]

## Public Member Functions

const unsigned int & | generation ()
void | set_generation (const unsigned int &_g)
void | inc_generation ()
void | set_red ()
void | set_green ()
bool | is_red ()
bool | is_green ()
void | set_red_halfedge_handle (HalfedgeHandle &_heh)
HalfedgeHandle & | red_halfedge_handle ()
void | set_quality (Scalar &_q)
Scalar & | quality ()
const Point & | midpoint () const
void | set_midpoint (const Point &_p)
const Point & | position () const
void | set_position (const Point &_p)

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Subdivider/Uniform/Composite/CompositeTraits.hh